io.milvus.bulkwriter.storage.client

## Class MinioStorageClient

- java.lang.Object
- - io.minio.MinioClient
  - - io.milvus.bulkwriter.storage.client.MinioStorageClient

- All Implemented Interfaces:
    StorageClient

      public class MinioStorageClient
      extends io.minio.MinioClient
      implements StorageClient

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class io.minio.MinioClient

      `io.minio.MinioClient.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkBucketExist(java.lang.String bucketName)`
    `java.lang.Long` | `getObjectEntity(java.lang.String bucketName, java.lang.String objectKey)`
    `static MinioStorageClient` | `getStorageClient(java.lang.String cloudName, java.lang.String endpoint, java.lang.String accessKey, java.lang.String secretKey, java.lang.String sessionToken, java.lang.String region, okhttp3.OkHttpClient httpClient)`
    `void` | `putObjectStream(java.io.InputStream inputStream, long contentLength, java.lang.String bucketName, java.lang.String objectKey)`

    - ### Methods inherited from class io.minio.MinioClient

      `bucketExists, builder, composeObject, copyObject, deleteBucketEncryption, deleteBucketLifecycle, deleteBucketNotification, deleteBucketPolicy, deleteBucketReplication, deleteBucketTags, deleteObjectLockConfiguration, deleteObjectTags, disableAccelerateEndpoint, disableDualStackEndpoint, disableObjectLegalHold, disableVirtualStyleEndpoint, downloadObject, enableAccelerateEndpoint, enableDualStackEndpoint, enableObjectLegalHold, enableVirtualStyleEndpoint, getBucketEncryption, getBucketLifecycle, getBucketNotification, getBucketPolicy, getBucketReplication, getBucketTags, getBucketVersioning, getObject, getObjectLockConfiguration, getObjectRetention, getObjectTags, getPresignedObjectUrl, getPresignedPostFormData, ignoreCertCheck, isObjectLegalHoldEnabled, listBuckets, listBuckets, listenBucketNotification, listObjects, makeBucket, putObject, removeBucket, removeObject, removeObjects, restoreObject, selectObjectContent, setAppInfo, setAwsS3Prefix, setBucketEncryption, setBucketLifecycle, setBucketNotification, setBucketPolicy, setBucketReplication, setBucketTags, setBucketVersioning, setObjectLockConfiguration, setObjectRetention, setObjectTags, setTimeout, statObject, traceOff, traceOn, uploadObject, uploadSnowballObjects`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStorageClient

          public static MinioStorageClient getStorageClient(java.lang.String cloudName,
                                                            java.lang.String endpoint,
                                                            java.lang.String accessKey,
                                                            java.lang.String secretKey,
                                                            java.lang.String sessionToken,
                                                            java.lang.String region,
                                                            okhttp3.OkHttpClient httpClient)

    - #### getObjectEntity

          public java.lang.Long getObjectEntity(java.lang.String bucketName,
                                                java.lang.String objectKey)
                                         throws java.lang.Exception

      Specified by:
        `getObjectEntity` in interface `StorageClient`
      Throws:
        `java.lang.Exception`

    - #### putObjectStream

          public void putObjectStream(java.io.InputStream inputStream,
                                      long contentLength,
                                      java.lang.String bucketName,
                                      java.lang.String objectKey)
                               throws java.lang.Exception

      Specified by:
        `putObjectStream` in interface `StorageClient`
      Throws:
        `java.lang.Exception`

    - #### checkBucketExist

          public boolean checkBucketExist(java.lang.String bucketName)
                                   throws java.lang.Exception

      Specified by:
        `checkBucketExist` in interface `StorageClient`
      Throws:
        `java.lang.Exception`